summaryrefslogtreecommitdiffstats
path: root/tools/android/adb_remote_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/android/adb_remote_setup.sh')
-rwxr-xr-xtools/android/adb_remote_setup.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/android/adb_remote_setup.sh b/tools/android/adb_remote_setup.sh
index 04b7d4f..bf209cd 100755
--- a/tools/android/adb_remote_setup.sh
+++ b/tools/android/adb_remote_setup.sh
@@ -50,6 +50,12 @@ fi
remote_host="$1"
remote_adb="${2:-adb}"
+# Ensure adb is in the local machine's path.
+if ! which adb >/dev/null; then
+ echo "error: adb must be in your local machine's path."
+ exit 1
+fi
+
if which kinit >/dev/null; then
# Allow ssh to succeed without typing your password multiple times.
kinit -R || kinit